<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>lowercase &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>lowercase
      <small>Function</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.1% of total for procedures.">27 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/stringmod.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/stringmod.f03.html'>stringmod.f03</a></li>
    
     <li><a href='../module/strings.html'>strings</a></li>
    
  
     <li class="active">lowercase</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public function lowercase(str) result(lcstr)
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-str%7E6"></span>character(len=*)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>str</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    
    
    
    
   <h3>Return Value <small><span class="anchor" id="variable-lcstr"></span>character(len=len_trim)
  </small></h3>
    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~lowercase~~CalledByGraph Pages: 1 -->
<svg id="proclowercaseCalledByGraph" width="450pt" height="1418pt"
 viewBox="0.00 0.00 450.00 1418.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~lowercase~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 1414)">
<title>proc~~lowercase~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-1414 446,-1414 446,4 -4,4"/>
<!-- proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_node1" class="node">
<title>proc~lowercase</title>
<polygon fill="none" stroke="#000000" points="442,-717 381,-717 381,-693 442,-693 442,-717"/>
<text text-anchor="middle" x="411.5" y="-702.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">lowercase</text>
</g>
<!-- proc~exportmatrixtofile -->
<g id="proc~~lowercase~~CalledByGraph_node2" class="node">
<title>proc~exportmatrixtofile</title>
<g id="a_proc~~lowercase~~CalledByGraph_node2"><a xlink:href=".././proc/exportmatrixtofile.html" xlink:title="exportMatrixToFile">
<polygon fill="#d9534f" stroke="#d9534f" points="311.5,-1410 212.5,-1410 212.5,-1386 311.5,-1386 311.5,-1410"/>
<text text-anchor="middle" x="262" y="-1395.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">exportMatrixToFile</text>
</a>
</g>
</g>
<!-- proc~exportmatrixtofile&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge1" class="edge">
<title>proc~exportmatrixtofile&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M311.7267,-1395.4402C324.2744,-1392.3643 336.5629,-1386.7999 345,-1377 388.4,-1326.5899 407.1144,-837.3948 410.8022,-727.0405"/>
<polygon fill="#000000" stroke="#000000" points="414.3003,-727.1535 411.1294,-717.0443 407.304,-726.9245 414.3003,-727.1535"/>
</g>
<!-- proc~setoptions -->
<g id="proc~~lowercase~~CalledByGraph_node3" class="node">
<title>proc~setoptions</title>
<g id="a_proc~~lowercase~~CalledByGraph_node3"><a xlink:href=".././proc/setoptions.html" xlink:title="setOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="294,-1368 230,-1368 230,-1344 294,-1344 294,-1368"/>
<text text-anchor="middle" x="262" y="-1353.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setOptions</text>
</a>
</g>
</g>
<!-- proc~setoptions&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge2" class="edge">
<title>proc~setoptions&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M294.1548,-1356.2832C311.7897,-1354.6277 332.5397,-1349.3777 345,-1335 385.656,-1288.0878 406.3242,-833.9104 410.638,-727.3126"/>
<polygon fill="#000000" stroke="#000000" points="414.1447,-727.2123 411.0446,-717.0812 407.1502,-726.9343 414.1447,-727.2123"/>
</g>
<!-- proc~findboundarybyname -->
<g id="proc~~lowercase~~CalledByGraph_node4" class="node">
<title>proc~findboundarybyname</title>
<g id="a_proc~~lowercase~~CalledByGraph_node4"><a xlink:href=".././proc/findboundarybyname.html" xlink:title="findBoundaryByName">
<polygon fill="#d94e8f" stroke="#d94e8f" points="320,-1326 204,-1326 204,-1302 320,-1302 320,-1326"/>
<text text-anchor="middle" x="262" y="-1311.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">findBoundaryByName</text>
</a>
</g>
</g>
<!-- proc~findboundarybyname&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge4" class="edge">
<title>proc~findboundarybyname&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M320.2095,-1308.8286C329.6431,-1305.5148 338.4498,-1300.5015 345,-1293 382.9788,-1249.5054 405.5392,-828.908 410.4711,-727.1048"/>
<polygon fill="#000000" stroke="#000000" points="413.9709,-727.192 410.9513,-717.0365 406.9788,-726.8584 413.9709,-727.192"/>
</g>
<!-- proc~bound -->
<g id="proc~~lowercase~~CalledByGraph_node5" class="node">
<title>proc~bound</title>
<g id="a_proc~~lowercase~~CalledByGraph_node5"><a xlink:href=".././proc/bound.html" xlink:title="bound">
<polygon fill="#d9534f" stroke="#d9534f" points="289,-1284 235,-1284 235,-1260 289,-1260 289,-1284"/>
<text text-anchor="middle" x="262" y="-1269.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">bound</text>
</a>
</g>
</g>
<!-- proc~bound&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge3" class="edge">
<title>proc~bound&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M289.2091,-1272.5911C307.7124,-1271.4324 331.246,-1266.6158 345,-1251 380.2131,-1211.0203 404.568,-825.827 410.2365,-727.6708"/>
<polygon fill="#000000" stroke="#000000" points="413.747,-727.5837 410.8214,-717.4008 406.7583,-727.1856 413.747,-727.5837"/>
</g>
<!-- proc~initialisenavierstokessolver -->
<g id="proc~~lowercase~~CalledByGraph_node6" class="node">
<title>proc~initialisenavierstokessolver</title>
<g id="a_proc~~lowercase~~CalledByGraph_node6"><a xlink:href=".././proc/initialisenavierstokessolver.html" xlink:title="initialiseNavierStokesSolver">
<polygon fill="#d9534f" stroke="#d9534f" points="333,-1242 191,-1242 191,-1218 333,-1218 333,-1242"/>
<text text-anchor="middle" x="262" y="-1227.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">initialiseNavierStokesSolver</text>
</a>
</g>
</g>
<!-- proc~initialisenavierstokessolver&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge5" class="edge">
<title>proc~initialisenavierstokessolver&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M333.0387,-1218.7601C337.4782,-1216.1032 341.542,-1212.8867 345,-1209 377.5556,-1172.4076 403.6519,-820.3383 410.0135,-727.4018"/>
<polygon fill="#000000" stroke="#000000" points="413.5077,-727.6047 410.6906,-717.3913 406.5236,-727.1323 413.5077,-727.6047"/>
</g>
<!-- proc~setturbmodel -->
<g id="proc~~lowercase~~CalledByGraph_node7" class="node">
<title>proc~setturbmodel</title>
<g id="a_proc~~lowercase~~CalledByGraph_node7"><a xlink:href=".././proc/setturbmodel.html" xlink:title="setTurbModel">
<polygon fill="#d9534f" stroke="#d9534f" points="300.5,-1200 223.5,-1200 223.5,-1176 300.5,-1176 300.5,-1200"/>
<text text-anchor="middle" x="262" y="-1185.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setTurbModel</text>
</a>
</g>
</g>
<!-- proc~setturbmodel&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge6" class="edge">
<title>proc~setturbmodel&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M300.6679,-1187.2854C316.5825,-1184.9383 333.8615,-1179.3722 345,-1167 374.8667,-1133.8251 402.5849,-815.4984 409.7272,-727.4627"/>
<polygon fill="#000000" stroke="#000000" points="413.235,-727.5049 410.5462,-717.2569 406.2574,-726.9449 413.235,-727.5049"/>
</g>
<!-- proc~setcontrols -->
<g id="proc~~lowercase~~CalledByGraph_node8" class="node">
<title>proc~setcontrols</title>
<g id="a_proc~~lowercase~~CalledByGraph_node8"><a xlink:href=".././proc/setcontrols.html" xlink:title="setControls">
<polygon fill="#d9534f" stroke="#d9534f" points="295.5,-1158 228.5,-1158 228.5,-1134 295.5,-1134 295.5,-1158"/>
<text text-anchor="middle" x="262" y="-1143.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setControls</text>
</a>
</g>
</g>
<!-- proc~setcontrols&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge7" class="edge">
<title>proc~setcontrols&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M295.532,-1145.864C312.7103,-1143.963 332.572,-1138.6107 345,-1125 398.9701,-1065.8937 409.2226,-805.5926 411.0964,-727.3318"/>
<polygon fill="#000000" stroke="#000000" points="414.5995,-727.2249 411.3163,-717.1516 407.6011,-727.0736 414.5995,-727.2249"/>
</g>
<!-- proc~getflagfromkey -->
<g id="proc~~lowercase~~CalledByGraph_node9" class="node">
<title>proc~getflagfromkey</title>
<g id="a_proc~~lowercase~~CalledByGraph_node9"><a xlink:href=".././proc/getflagfromkey.html" xlink:title="getFlagFromKey">
<polygon fill="#d9534f" stroke="#d9534f" points="307.5,-1116 216.5,-1116 216.5,-1092 307.5,-1092 307.5,-1116"/>
<text text-anchor="middle" x="262" y="-1101.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getFlagFromKey</text>
</a>
</g>
</g>
<!-- proc~getflagfromkey&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge8" class="edge">
<title>proc~getflagfromkey&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M307.79,-1101.8053C321.4821,-1098.9049 335.3897,-1093.3457 345,-1083 393.6426,-1030.6352 407.4592,-800.595 410.6594,-727.4283"/>
<polygon fill="#000000" stroke="#000000" points="414.1709,-727.2193 411.0855,-717.0837 407.1768,-726.9311 414.1709,-727.2193"/>
</g>
<!-- proc~addcustomsourceterm -->
<g id="proc~~lowercase~~CalledByGraph_node10" class="node">
<title>proc~addcustomsourceterm</title>
<g id="a_proc~~lowercase~~CalledByGraph_node10"><a xlink:href=".././proc/addcustomsourceterm.html" xlink:title="addCustomSourceTerm">
<polygon fill="#d9534f" stroke="#d9534f" points="324.5,-1074 199.5,-1074 199.5,-1050 324.5,-1050 324.5,-1074"/>
<text text-anchor="middle" x="262" y="-1059.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">addCustomSourceTerm</text>
</a>
</g>
</g>
<!-- proc~addcustomsourceterm&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge9" class="edge">
<title>proc~addcustomsourceterm&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M324.7459,-1054.4588C332.3325,-1051.2815 339.3728,-1046.9302 345,-1041 388.3363,-995.3303 405.4791,-795.3292 410.1106,-727.5527"/>
<polygon fill="#000000" stroke="#000000" points="413.6294,-727.3806 410.7915,-717.1729 406.6444,-726.9223 413.6294,-727.3806"/>
</g>
<!-- proc~seteqoptionswithoutconvection -->
<g id="proc~~lowercase~~CalledByGraph_node11" class="node">
<title>proc~seteqoptionswithoutconvection</title>
<g id="a_proc~~lowercase~~CalledByGraph_node11"><a xlink:href=".././proc/seteqoptionswithoutconvection.html" xlink:title="setEqOptionsWithoutConvection">
<polygon fill="#d9534f" stroke="#d9534f" points="345,-1032 179,-1032 179,-1008 345,-1008 345,-1032"/>
<text text-anchor="middle" x="262" y="-1017.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setEqOptionsWithoutConvection</text>
</a>
</g>
</g>
<!-- proc~seteqoptionswithoutconvection&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge11" class="edge">
<title>proc~seteqoptionswithoutconvection&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M333.4233,-1007.9519C337.6553,-1005.4677 341.5759,-1002.5121 345,-999 383.0879,-959.9335 403.2486,-789.4489 409.4166,-727.5555"/>
<polygon fill="#000000" stroke="#000000" points="412.9277,-727.609 410.4067,-717.3185 405.9602,-726.9351 412.9277,-727.609"/>
</g>
<!-- proc~setequationsources -->
<g id="proc~~lowercase~~CalledByGraph_node12" class="node">
<title>proc~setequationsources</title>
<g id="a_proc~~lowercase~~CalledByGraph_node12"><a xlink:href=".././proc/setequationsources.html" xlink:title="setEquationSources">
<polygon fill="#d9534f" stroke="#d9534f" points="316,-990 208,-990 208,-966 316,-966 316,-990"/>
<text text-anchor="middle" x="262" y="-975.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setEquationSources</text>
</a>
</g>
</g>
<!-- proc~setequationsources&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge10" class="edge">
<title>proc~setequationsources&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M316.3506,-972.9826C326.9497,-969.757 337.1828,-964.7379 345,-957 377.943,-924.3911 400.7506,-782.5645 408.5452,-727.2278"/>
<polygon fill="#000000" stroke="#000000" points="412.0448,-727.4702 409.9408,-717.0863 405.1101,-726.5158 412.0448,-727.4702"/>
</g>
<!-- proc~findboundaryindices -->
<g id="proc~~lowercase~~CalledByGraph_node13" class="node">
<title>proc~findboundaryindices</title>
<g id="a_proc~~lowercase~~CalledByGraph_node13"><a xlink:href=".././proc/findboundaryindices.html" xlink:title="findBoundaryIndices">
<polygon fill="#d9534f" stroke="#d9534f" points="316.5,-948 207.5,-948 207.5,-924 316.5,-924 316.5,-948"/>
<text text-anchor="middle" x="262" y="-933.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">findBoundaryIndices</text>
</a>
</g>
</g>
<!-- proc~findboundaryindices&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge12" class="edge">
<title>proc~findboundaryindices&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M316.9287,-930.4268C327.241,-927.2144 337.2132,-922.3414 345,-915 372.751,-888.8363 397.6282,-775.9573 407.2628,-727.3751"/>
<polygon fill="#000000" stroke="#000000" points="410.7557,-727.7486 409.231,-717.264 403.8847,-726.411 410.7557,-727.7486"/>
</g>
<!-- proc~setwalldisteqoptions -->
<g id="proc~~lowercase~~CalledByGraph_node14" class="node">
<title>proc~setwalldisteqoptions</title>
<g id="a_proc~~lowercase~~CalledByGraph_node14"><a xlink:href=".././proc/setwalldisteqoptions.html" xlink:title="setWallDistEqOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="319.5,-906 204.5,-906 204.5,-882 319.5,-882 319.5,-906"/>
<text text-anchor="middle" x="262" y="-891.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setWallDistEqOptions</text>
</a>
</g>
</g>
<!-- proc~setwalldisteqoptions&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge13" class="edge">
<title>proc~setwalldisteqoptions&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M319.5438,-887.023C328.8186,-883.8692 337.7419,-879.3768 345,-873 388.7802,-834.5359 404.0395,-763.4217 409.1166,-727.3034"/>
<polygon fill="#000000" stroke="#000000" points="412.6002,-727.6535 410.3857,-717.2927 405.6558,-726.7731 412.6002,-727.6535"/>
</g>
<!-- proc~kspverbose -->
<g id="proc~~lowercase~~CalledByGraph_node15" class="node">
<title>proc~kspverbose</title>
<g id="a_proc~~lowercase~~CalledByGraph_node15"><a xlink:href=".././proc/kspverbose.html" xlink:title="kspVerbose">
<polygon fill="#d9534f" stroke="#d9534f" points="296.5,-864 227.5,-864 227.5,-840 296.5,-840 296.5,-864"/>
<text text-anchor="middle" x="262" y="-849.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kspVerbose</text>
</a>
</g>
</g>
<!-- proc~kspverbose&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge14" class="edge">
<title>proc~kspverbose&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M296.747,-849.6589C312.8195,-847.0618 331.3311,-841.7515 345,-831 378.9609,-804.2877 397.538,-755.363 405.9133,-726.977"/>
<polygon fill="#000000" stroke="#000000" points="409.3269,-727.7648 408.6344,-717.1926 402.5829,-725.8891 409.3269,-727.7648"/>
</g>
<!-- proc~expressionparsingwithfield -->
<g id="proc~~lowercase~~CalledByGraph_node16" class="node">
<title>proc~expressionparsingwithfield</title>
<g id="a_proc~~lowercase~~CalledByGraph_node16"><a xlink:href=".././proc/expressionparsingwithfield.html" xlink:title="expressionParsingWithField">
<polygon fill="#d9534f" stroke="#d9534f" points="333,-822 191,-822 191,-798 333,-798 333,-822"/>
<text text-anchor="middle" x="262" y="-807.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">expressionParsingWithField</text>
</a>
</g>
</g>
<!-- proc~expressionparsingwithfield&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge15" class="edge">
<title>proc~expressionparsingwithfield&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M327.1917,-797.9595C333.4549,-795.5065 339.5098,-792.5539 345,-789 369.4443,-773.1769 388.8606,-745.2933 400.257,-726.017"/>
<polygon fill="#000000" stroke="#000000" points="403.4357,-727.5074 405.3322,-717.0836 397.3493,-724.0496 403.4357,-727.5074"/>
</g>
<!-- proc~modelcoeffsbsl -->
<g id="proc~~lowercase~~CalledByGraph_node17" class="node">
<title>proc~modelcoeffsbsl</title>
<g id="a_proc~~lowercase~~CalledByGraph_node17"><a xlink:href=".././proc/modelcoeffsbsl.html" xlink:title="modelCoeffsBSL">
<polygon fill="#d9534f" stroke="#d9534f" points="308,-780 216,-780 216,-756 308,-756 308,-780"/>
<text text-anchor="middle" x="262" y="-765.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">modelCoeffsBSL</text>
</a>
</g>
</g>
<!-- proc~modelcoeffsbsl&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge16" class="edge">
<title>proc~modelcoeffsbsl&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M308.0858,-759.0802C320.3403,-755.9743 333.3907,-751.9847 345,-747 359.8421,-740.6273 375.1662,-731.1766 387.3581,-722.853"/>
<polygon fill="#000000" stroke="#000000" points="389.4528,-725.6589 395.6304,-717.0514 385.4334,-719.9278 389.4528,-725.6589"/>
</g>
<!-- proc~seteqoptions -->
<g id="proc~~lowercase~~CalledByGraph_node18" class="node">
<title>proc~seteqoptions</title>
<g id="a_proc~~lowercase~~CalledByGraph_node18"><a xlink:href=".././proc/seteqoptions.html" xlink:title="setEqOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="300,-738 224,-738 224,-714 300,-714 300,-738"/>
<text text-anchor="middle" x="262" y="-723.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setEqOptions</text>
</a>
</g>
</g>
<!-- proc~seteqoptions&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge17" class="edge">
<title>proc~seteqoptions&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M300.112,-720.6465C321.7699,-717.6042 348.8795,-713.7962 370.9312,-710.6986"/>
<polygon fill="#000000" stroke="#000000" points="371.57,-714.1433 380.9859,-709.2863 370.5962,-707.2114 371.57,-714.1433"/>
</g>
<!-- proc~projectionstep -->
<g id="proc~~lowercase~~CalledByGraph_node19" class="node">
<title>proc~projectionstep</title>
<g id="a_proc~~lowercase~~CalledByGraph_node19"><a xlink:href=".././proc/projectionstep.html" xlink:title="projectionStep">
<polygon fill="#d9534f" stroke="#d9534f" points="302.5,-696 221.5,-696 221.5,-672 302.5,-672 302.5,-696"/>
<text text-anchor="middle" x="262" y="-681.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">projectionStep</text>
</a>
</g>
</g>
<!-- proc~projectionstep&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge18" class="edge">
<title>proc~projectionstep&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M302.8515,-689.7383C323.9516,-692.7022 349.6235,-696.3083 370.7141,-699.2709"/>
<polygon fill="#000000" stroke="#000000" points="370.2698,-702.7427 380.6595,-700.6679 371.2436,-695.8108 370.2698,-702.7427"/>
</g>
<!-- proc~setnumericaloptions -->
<g id="proc~~lowercase~~CalledByGraph_node20" class="node">
<title>proc~setnumericaloptions</title>
<g id="a_proc~~lowercase~~CalledByGraph_node20"><a xlink:href=".././proc/setnumericaloptions.html" xlink:title="setNumericalOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="318,-654 206,-654 206,-630 318,-630 318,-654"/>
<text text-anchor="middle" x="262" y="-639.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setNumericalOptions</text>
</a>
</g>
</g>
<!-- proc~setnumericaloptions&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge19" class="edge">
<title>proc~setnumericaloptions&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M318.1641,-653.6373C327.2974,-656.2576 336.532,-659.3641 345,-663 359.8421,-669.3727 375.1662,-678.8234 387.3581,-687.147"/>
<polygon fill="#000000" stroke="#000000" points="385.4334,-690.0722 395.6304,-692.9486 389.4528,-684.3411 385.4334,-690.0722"/>
</g>
<!-- proc~readphysicalconstants -->
<g id="proc~~lowercase~~CalledByGraph_node21" class="node">
<title>proc~readphysicalconstants</title>
<g id="a_proc~~lowercase~~CalledByGraph_node21"><a xlink:href=".././proc/readphysicalconstants.html" xlink:title="readPhysicalConstants">
<polygon fill="#d9534f" stroke="#d9534f" points="322.5,-612 201.5,-612 201.5,-588 322.5,-588 322.5,-612"/>
<text text-anchor="middle" x="262" y="-597.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">readPhysicalConstants</text>
</a>
</g>
</g>
<!-- proc~readphysicalconstants&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge20" class="edge">
<title>proc~readphysicalconstants&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M322.8932,-610.4442C330.6736,-613.1825 338.262,-616.6384 345,-621 369.4443,-636.8231 388.8606,-664.7067 400.257,-683.983"/>
<polygon fill="#000000" stroke="#000000" points="397.3493,-685.9504 405.3322,-692.9164 403.4357,-682.4926 397.3493,-685.9504"/>
</g>
<!-- proc~modelcoeffswilcox -->
<g id="proc~~lowercase~~CalledByGraph_node22" class="node">
<title>proc~modelcoeffswilcox</title>
<g id="a_proc~~lowercase~~CalledByGraph_node22"><a xlink:href=".././proc/modelcoeffswilcox.html" xlink:title="modelCoeffsWilcox">
<polygon fill="#d9534f" stroke="#d9534f" points="313.5,-570 210.5,-570 210.5,-546 313.5,-546 313.5,-570"/>
<text text-anchor="middle" x="262" y="-555.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">modelCoeffsWilcox</text>
</a>
</g>
</g>
<!-- proc~modelcoeffswilcox&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge21" class="edge">
<title>proc~modelcoeffswilcox&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M313.7959,-564.0652C324.911,-567.2051 336.0042,-571.9242 345,-579 378.9609,-605.7123 397.538,-654.637 405.9133,-683.023"/>
<polygon fill="#000000" stroke="#000000" points="402.5829,-684.1109 408.6344,-692.8074 409.3269,-682.2352 402.5829,-684.1109"/>
</g>
<!-- proc~readboundariesfromfiles -->
<g id="proc~~lowercase~~CalledByGraph_node23" class="node">
<title>proc~readboundariesfromfiles</title>
<g id="a_proc~~lowercase~~CalledByGraph_node23"><a xlink:href=".././proc/readboundariesfromfiles.html" xlink:title="readBoundariesFromFiles">
<polygon fill="#d9534f" stroke="#d9534f" points="329,-528 195,-528 195,-504 329,-504 329,-528"/>
<text text-anchor="middle" x="262" y="-513.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">readBoundariesFromFiles</text>
</a>
</g>
</g>
<!-- proc~readboundariesfromfiles&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge22" class="edge">
<title>proc~readboundariesfromfiles&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M329.1991,-526.8519C334.9251,-529.546 340.3101,-532.8796 345,-537 388.7802,-575.4641 404.0395,-646.5783 409.1166,-682.6966"/>
<polygon fill="#000000" stroke="#000000" points="405.6558,-683.2269 410.3857,-692.7073 412.6002,-682.3465 405.6558,-683.2269"/>
</g>
<!-- proc~setupdiffusionterm -->
<g id="proc~~lowercase~~CalledByGraph_node24" class="node">
<title>proc~setupdiffusionterm</title>
<g id="a_proc~~lowercase~~CalledByGraph_node24"><a xlink:href=".././proc/setupdiffusionterm.html" xlink:title="setUpDiffusionTerm">
<polygon fill="#d9534f" stroke="#d9534f" points="314,-486 210,-486 210,-462 314,-462 314,-486"/>
<text text-anchor="middle" x="262" y="-471.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setUpDiffusionTerm</text>
</a>
</g>
</g>
<!-- proc~setupdiffusionterm&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge23" class="edge">
<title>proc~setupdiffusionterm&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M314.3446,-478.8042C325.5638,-481.9905 336.5643,-487.0468 345,-495 372.751,-521.1637 397.6282,-634.0427 407.2628,-682.6249"/>
<polygon fill="#000000" stroke="#000000" points="403.8847,-683.589 409.231,-692.736 410.7557,-682.2514 403.8847,-683.589"/>
</g>
<!-- proc~getvalfromkey -->
<g id="proc~~lowercase~~CalledByGraph_node25" class="node">
<title>proc~getvalfromkey</title>
<g id="a_proc~~lowercase~~CalledByGraph_node25"><a xlink:href=".././proc/getvalfromkey.html" xlink:title="getValFromKey">
<polygon fill="#d9534f" stroke="#d9534f" points="304.5,-444 219.5,-444 219.5,-420 304.5,-420 304.5,-444"/>
<text text-anchor="middle" x="262" y="-429.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getValFromKey</text>
</a>
</g>
</g>
<!-- proc~getvalfromkey&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge24" class="edge">
<title>proc~getvalfromkey&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M304.7022,-434.1581C319.1607,-436.9424 334.3306,-442.4389 345,-453 377.943,-485.6089 400.7506,-627.4355 408.5452,-682.7722"/>
<polygon fill="#000000" stroke="#000000" points="405.1101,-683.4842 409.9408,-692.9137 412.0448,-682.5298 405.1101,-683.4842"/>
</g>
<!-- proc~setpressureeqoptions -->
<g id="proc~~lowercase~~CalledByGraph_node26" class="node">
<title>proc~setpressureeqoptions</title>
<g id="a_proc~~lowercase~~CalledByGraph_node26"><a xlink:href=".././proc/setpressureeqoptions.html" xlink:title="setPressureEqOptions">
<polygon fill="#d9534f" stroke="#d9534f" points="321,-402 203,-402 203,-378 321,-378 321,-402"/>
<text text-anchor="middle" x="262" y="-387.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setPressureEqOptions</text>
</a>
</g>
</g>
<!-- proc~setpressureeqoptions&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge25" class="edge">
<title>proc~setpressureeqoptions&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M321.2477,-396.3778C330.1168,-399.6184 338.463,-404.2951 345,-411 383.0879,-450.0665 403.2486,-620.5511 409.4166,-682.4445"/>
<polygon fill="#000000" stroke="#000000" points="405.9602,-683.0649 410.4067,-692.6815 412.9277,-682.391 405.9602,-683.0649"/>
</g>
<!-- proc~getnumberfromkey -->
<g id="proc~~lowercase~~CalledByGraph_node27" class="node">
<title>proc~getnumberfromkey</title>
<g id="a_proc~~lowercase~~CalledByGraph_node27"><a xlink:href=".././proc/getnumberfromkey.html" xlink:title="getNumberFromKey">
<polygon fill="#d9534f" stroke="#d9534f" points="316.5,-360 207.5,-360 207.5,-336 316.5,-336 316.5,-360"/>
<text text-anchor="middle" x="262" y="-345.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">getNumberFromKey</text>
</a>
</g>
</g>
<!-- proc~getnumberfromkey&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge26" class="edge">
<title>proc~getnumberfromkey&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M316.7237,-352.6522C327.2996,-355.9005 337.4289,-361.0212 345,-369 388.3363,-414.6697 405.4791,-614.6708 410.1106,-682.4473"/>
<polygon fill="#000000" stroke="#000000" points="406.6444,-683.0777 410.7915,-692.8271 413.6294,-682.6194 406.6444,-683.0777"/>
</g>
<!-- proc~setmonitorslist -->
<g id="proc~~lowercase~~CalledByGraph_node28" class="node">
<title>proc~setmonitorslist</title>
<g id="a_proc~~lowercase~~CalledByGraph_node28"><a xlink:href=".././proc/setmonitorslist.html" xlink:title="setMonitorsList">
<polygon fill="#d9534f" stroke="#d9534f" points="304.5,-318 219.5,-318 219.5,-294 304.5,-294 304.5,-318"/>
<text text-anchor="middle" x="262" y="-303.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setMonitorsList</text>
</a>
</g>
</g>
<!-- proc~setmonitorslist&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge27" class="edge">
<title>proc~setmonitorslist&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M304.7686,-307.596C319.4092,-310.3019 334.6816,-315.892 345,-327 393.6426,-379.3648 407.4592,-609.405 410.6594,-682.5717"/>
<polygon fill="#000000" stroke="#000000" points="407.1768,-683.0689 411.0855,-692.9163 414.1709,-682.7807 407.1768,-683.0689"/>
</g>
<!-- proc~settimeschemeoption -->
<g id="proc~~lowercase~~CalledByGraph_node29" class="node">
<title>proc~settimeschemeoption</title>
<g id="a_proc~~lowercase~~CalledByGraph_node29"><a xlink:href=".././proc/settimeschemeoption.html" xlink:title="setTimeSchemeOption">
<polygon fill="#d9534f" stroke="#d9534f" points="322.5,-276 201.5,-276 201.5,-252 322.5,-252 322.5,-276"/>
<text text-anchor="middle" x="262" y="-261.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setTimeSchemeOption</text>
</a>
</g>
</g>
<!-- proc~settimeschemeoption&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge28" class="edge">
<title>proc~settimeschemeoption&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M322.8841,-270.4986C331.2325,-273.7619 338.9865,-278.4142 345,-285 398.9701,-344.1063 409.2226,-604.4074 411.0964,-682.6682"/>
<polygon fill="#000000" stroke="#000000" points="407.6011,-682.9264 411.3163,-692.8484 414.5995,-682.7751 407.6011,-682.9264"/>
</g>
<!-- proc~modelcoeffssst -->
<g id="proc~~lowercase~~CalledByGraph_node30" class="node">
<title>proc~modelcoeffssst</title>
<g id="a_proc~~lowercase~~CalledByGraph_node30"><a xlink:href=".././proc/modelcoeffssst.html" xlink:title="modelCoeffsSST">
<polygon fill="#d9534f" stroke="#d9534f" points="308.5,-234 215.5,-234 215.5,-210 308.5,-210 308.5,-234"/>
<text text-anchor="middle" x="262" y="-219.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">modelCoeffsSST</text>
</a>
</g>
</g>
<!-- proc~modelcoeffssst&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge29" class="edge">
<title>proc~modelcoeffssst&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M308.8484,-224.2045C322.2683,-227.1461 335.7511,-232.7266 345,-243 374.8667,-276.1749 402.5849,-594.5016 409.7272,-682.5373"/>
<polygon fill="#000000" stroke="#000000" points="406.2574,-683.0551 410.5462,-692.7431 413.235,-682.4951 406.2574,-683.0551"/>
</g>
<!-- proc~setgradienttype -->
<g id="proc~~lowercase~~CalledByGraph_node31" class="node">
<title>proc~setgradienttype</title>
<g id="a_proc~~lowercase~~CalledByGraph_node31"><a xlink:href=".././proc/setgradienttype.html" xlink:title="setGradientType">
<polygon fill="#d9534f" stroke="#d9534f" points="307.5,-192 216.5,-192 216.5,-168 307.5,-168 307.5,-192"/>
<text text-anchor="middle" x="262" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setGradientType</text>
</a>
</g>
</g>
<!-- proc~setgradienttype&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge30" class="edge">
<title>proc~setgradienttype&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M307.6234,-181.8624C321.4723,-184.7209 335.5153,-190.3392 345,-201 377.5556,-237.5924 403.6519,-589.6617 410.0135,-682.5982"/>
<polygon fill="#000000" stroke="#000000" points="406.5236,-682.8677 410.6906,-692.6087 413.5077,-682.3953 406.5236,-682.8677"/>
</g>
<!-- proc~bandwidthreductionsettings -->
<g id="proc~~lowercase~~CalledByGraph_node32" class="node">
<title>proc~bandwidthreductionsettings</title>
<g id="a_proc~~lowercase~~CalledByGraph_node32"><a xlink:href=".././proc/bandwidthreductionsettings.html" xlink:title="bandWidthReductionSettings">
<polygon fill="#d9534f" stroke="#d9534f" points="337,-150 187,-150 187,-126 337,-126 337,-150"/>
<text text-anchor="middle" x="262" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">bandWidthReductionSettings</text>
</a>
</g>
</g>
<!-- proc~bandwidthreductionsettings&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge31" class="edge">
<title>proc~bandwidthreductionsettings&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M334.5857,-150.1376C338.4294,-152.6139 341.9545,-155.5422 345,-159 380.2131,-198.9797 404.568,-584.173 410.2365,-682.3292"/>
<polygon fill="#000000" stroke="#000000" points="406.7583,-682.8144 410.8214,-692.5992 413.747,-682.4163 406.7583,-682.8144"/>
</g>
<!-- proc~checksteadystate -->
<g id="proc~~lowercase~~CalledByGraph_node33" class="node">
<title>proc~checksteadystate</title>
<g id="a_proc~~lowercase~~CalledByGraph_node33"><a xlink:href=".././proc/checksteadystate.html" xlink:title="checkSteadyState">
<polygon fill="#d9534f" stroke="#d9534f" points="311,-108 213,-108 213,-84 311,-84 311,-108"/>
<text text-anchor="middle" x="262" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">checkSteadyState</text>
</a>
</g>
</g>
<!-- proc~checksteadystate&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge32" class="edge">
<title>proc~checksteadystate&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M311.2046,-98.5321C323.9007,-101.5869 336.3968,-107.1473 345,-117 382.9788,-160.4946 405.5392,-581.092 410.4711,-682.8952"/>
<polygon fill="#000000" stroke="#000000" points="406.9788,-683.1416 410.9513,-692.9635 413.9709,-682.808 406.9788,-683.1416"/>
</g>
<!-- proc~samodelcoeffs -->
<g id="proc~~lowercase~~CalledByGraph_node34" class="node">
<title>proc~samodelcoeffs</title>
<g id="a_proc~~lowercase~~CalledByGraph_node34"><a xlink:href=".././proc/samodelcoeffs.html" xlink:title="SAModelCoeffs">
<polygon fill="#d9534f" stroke="#d9534f" points="305,-66 219,-66 219,-42 305,-42 305,-66"/>
<text text-anchor="middle" x="262" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SAModelCoeffs</text>
</a>
</g>
</g>
<!-- proc~samodelcoeffs&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge33" class="edge">
<title>proc~samodelcoeffs&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M305.1911,-55.2169C319.8774,-57.8818 335.0707,-63.5428 345,-75 385.656,-121.9122 406.3242,-576.0896 410.638,-682.6874"/>
<polygon fill="#000000" stroke="#000000" points="407.1502,-683.0657 411.0446,-692.9188 414.1447,-682.7877 407.1502,-683.0657"/>
</g>
<!-- proc~readdict -->
<g id="proc~~lowercase~~CalledByGraph_node35" class="node">
<title>proc~readdict</title>
<g id="a_proc~~lowercase~~CalledByGraph_node35"><a xlink:href=".././proc/readdict.html" xlink:title="readDict">
<polygon fill="#d9534f" stroke="#d9534f" points="289,-24 235,-24 235,0 289,0 289,-24"/>
<text text-anchor="middle" x="262" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">readDict</text>
</a>
</g>
</g>
<!-- proc~readdict&#45;&gt;proc~lowercase -->
<g id="proc~~lowercase~~CalledByGraph_edge34" class="edge">
<title>proc~readdict&#45;&gt;proc~lowercase</title>
<path fill="none" stroke="#000000" d="M289.3182,-11.314C307.8728,-12.4279 331.423,-17.23 345,-33 388.4,-83.4101 407.1144,-572.6052 410.8022,-682.9595"/>
<polygon fill="#000000" stroke="#000000" points="407.304,-683.0755 411.1294,-692.9557 414.3003,-682.8465 407.304,-683.0755"/>
</g>
<!-- program~piso_alghorithm -->
<g id="proc~~lowercase~~CalledByGraph_node36" class="node">
<title>program~piso_alghorithm</title>
<g id="a_proc~~lowercase~~CalledByGraph_node36"><a xlink:href=".././program/piso_alghorithm.html" xlink:title="PISO_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="118.5,-1242 24.5,-1242 24.5,-1218 118.5,-1218 118.5,-1242"/>
<text text-anchor="middle" x="71.5" y="-1227.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">PISO_Alghorithm</text>
</a>
</g>
</g>
<!-- program~piso_alghorithm&#45;&gt;proc~initialisenavierstokessolver -->
<g id="proc~~lowercase~~CalledByGraph_edge40" class="edge">
<title>program~piso_alghorithm&#45;&gt;proc~initialisenavierstokessolver</title>
<path fill="none" stroke="#000000" d="M118.5899,-1230C137.423,-1230 159.665,-1230 180.9407,-1230"/>
<polygon fill="#000000" stroke="#000000" points="180.9591,-1233.5001 190.959,-1230 180.959,-1226.5001 180.9591,-1233.5001"/>
</g>
<!-- program~simple -->
<g id="proc~~lowercase~~CalledByGraph_node37" class="node">
<title>program~simple</title>
<g id="a_proc~~lowercase~~CalledByGraph_node37"><a xlink:href=".././program/simple.html" xlink:title="SIMPLE">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="98.5,-1200 44.5,-1200 44.5,-1176 98.5,-1176 98.5,-1200"/>
<text text-anchor="middle" x="71.5" y="-1185.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLE</text>
</a>
</g>
</g>
<!-- program~simple&#45;&gt;proc~initialisenavierstokessolver -->
<g id="proc~~lowercase~~CalledByGraph_edge41" class="edge">
<title>program~simple&#45;&gt;proc~initialisenavierstokessolver</title>
<path fill="none" stroke="#000000" d="M98.794,-1194.0176C124.4507,-1199.6742 163.8333,-1208.357 197.4839,-1215.776"/>
<polygon fill="#000000" stroke="#000000" points="196.7438,-1219.1968 207.2628,-1217.932 198.2509,-1212.3609 196.7438,-1219.1968"/>
</g>
<!-- program~fs_alghorithm -->
<g id="proc~~lowercase~~CalledByGraph_node38" class="node">
<title>program~fs_alghorithm</title>
<g id="a_proc~~lowercase~~CalledByGraph_node38"><a xlink:href=".././program/fs_alghorithm.html" xlink:title="FS_Alghorithm">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="113,-696 30,-696 30,-672 113,-672 113,-696"/>
<text text-anchor="middle" x="71.5" y="-681.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">FS_Alghorithm</text>
</a>
</g>
</g>
<!-- program~fs_alghorithm&#45;&gt;proc~projectionstep -->
<g id="proc~~lowercase~~CalledByGraph_edge43" class="edge">
<title>program~fs_alghorithm&#45;&gt;proc~projectionstep</title>
<path fill="none" stroke="#000000" d="M113.306,-684C142.1376,-684 180.6285,-684 211.2246,-684"/>
<polygon fill="#000000" stroke="#000000" points="211.2727,-687.5001 221.2727,-684 211.2726,-680.5001 211.2727,-687.5001"/>
</g>
<!-- proc~setglobalsolverparameters -->
<g id="proc~~lowercase~~CalledByGraph_node39" class="node">
<title>proc~setglobalsolverparameters</title>
<g id="a_proc~~lowercase~~CalledByGraph_node39"><a xlink:href=".././proc/setglobalsolverparameters.html" xlink:title="setGlobalSolverParameters">
<polygon fill="#d9534f" stroke="#d9534f" points="143,-150 0,-150 0,-126 143,-126 143,-150"/>
<text text-anchor="middle" x="71.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">setGlobalSolverParameters</text>
</a>
</g>
</g>
<!-- proc~setglobalsolverparameters&#45;&gt;proc~bandwidthreductionsettings -->
<g id="proc~~lowercase~~CalledByGraph_edge44" class="edge">
<title>proc~setglobalsolverparameters&#45;&gt;proc~bandwidthreductionsettings</title>
<path fill="none" stroke="#000000" d="M143.2484,-138C154.1498,-138 165.4893,-138 176.6457,-138"/>
<polygon fill="#000000" stroke="#000000" points="176.8221,-141.5001 186.8221,-138 176.822,-134.5001 176.8221,-141.5001"/>
</g>
<!-- proc~kappaomega -->
<g id="proc~~lowercase~~CalledByGraph_node40" class="node">
<title>proc~kappaomega</title>
<g id="a_proc~~lowercase~~CalledByGraph_node40"><a xlink:href=".././proc/kappaomega.html" xlink:title="kappaOmega">
<polygon fill="#d9534f" stroke="#d9534f" points="110,-1410 33,-1410 33,-1386 110,-1386 110,-1410"/>
<text text-anchor="middle" x="71.5" y="-1395.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">kappaOmega</text>
</a>
</g>
</g>
<!-- proc~kappaomega&#45;&gt;proc~bound -->
<g id="proc~~lowercase~~CalledByGraph_edge37" class="edge">
<title>proc~kappaomega&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M110.2312,-1393.1118C121.8473,-1390.0472 133.9037,-1385.0717 143,-1377 173.3809,-1350.0412 148.1142,-1319.3789 179,-1293 191.7021,-1282.1514 209.2474,-1276.7807 224.9356,-1274.1691"/>
<polygon fill="#000000" stroke="#000000" points="225.4662,-1277.6293 234.9074,-1272.8215 224.5287,-1270.6924 225.4662,-1277.6293"/>
</g>
<!-- proc~updateeddyviscositysst -->
<g id="proc~~lowercase~~CalledByGraph_node41" class="node">
<title>proc~updateeddyviscositysst</title>
<g id="a_proc~~lowercase~~CalledByGraph_node41"><a xlink:href=".././proc/updateeddyviscositysst.html" xlink:title="updateEddyViscositySST">
<polygon fill="#d9534f" stroke="#d9534f" points="137,-1368 6,-1368 6,-1344 137,-1344 137,-1368"/>
<text text-anchor="middle" x="71.5" y="-1353.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscositySST</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositysst&#45;&gt;proc~bound -->
<g id="proc~~lowercase~~CalledByGraph_edge35" class="edge">
<title>proc~updateeddyviscositysst&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M125.3303,-1343.9128C131.5298,-1341.4533 137.5677,-1338.5121 143,-1335 163.6463,-1321.6518 158.1047,-1305.9549 179,-1293 192.754,-1284.4726 209.8216,-1279.4002 224.8965,-1276.3863"/>
<polygon fill="#000000" stroke="#000000" points="225.7103,-1279.7968 234.9495,-1274.6115 224.4932,-1272.9034 225.7103,-1279.7968"/>
</g>
<!-- proc~computewalldistance -->
<g id="proc~~lowercase~~CalledByGraph_node42" class="node">
<title>proc~computewalldistance</title>
<g id="a_proc~~lowercase~~CalledByGraph_node42"><a xlink:href=".././proc/computewalldistance.html" xlink:title="computeWallDistance">
<polygon fill="#d9534f" stroke="#d9534f" points="129,-906 14,-906 14,-882 129,-882 129,-906"/>
<text text-anchor="middle" x="71.5" y="-891.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">computeWallDistance</text>
</a>
</g>
</g>
<!-- proc~computewalldistance&#45;&gt;proc~setwalldisteqoptions -->
<g id="proc~~lowercase~~CalledByGraph_edge42" class="edge">
<title>proc~computewalldistance&#45;&gt;proc~setwalldisteqoptions</title>
<path fill="none" stroke="#000000" d="M129.1733,-894C149.5951,-894 172.7616,-894 193.9642,-894"/>
<polygon fill="#000000" stroke="#000000" points="194.1943,-897.5001 204.1943,-894 194.1943,-890.5001 194.1943,-897.5001"/>
</g>
<!-- proc~updateeddyviscositywilcox -->
<g id="proc~~lowercase~~CalledByGraph_node43" class="node">
<title>proc~updateeddyviscositywilcox</title>
<g id="a_proc~~lowercase~~CalledByGraph_node43"><a xlink:href=".././proc/updateeddyviscositywilcox.html" xlink:title="updateEddyViscosityWilcox">
<polygon fill="#d9534f" stroke="#d9534f" points="142,-1326 1,-1326 1,-1302 142,-1302 142,-1326"/>
<text text-anchor="middle" x="71.5" y="-1311.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">updateEddyViscosityWilcox</text>
</a>
</g>
</g>
<!-- proc~updateeddyviscositywilcox&#45;&gt;proc~bound -->
<g id="proc~~lowercase~~CalledByGraph_edge36" class="edge">
<title>proc~updateeddyviscositywilcox&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M126.0897,-1301.9645C157.816,-1294.9697 196.9515,-1286.3414 225.0669,-1280.1427"/>
<polygon fill="#000000" stroke="#000000" points="225.8806,-1283.5475 234.8925,-1277.9765 224.3735,-1276.7116 225.8806,-1283.5475"/>
</g>
<!-- program~simplem -->
<g id="proc~~lowercase~~CalledByGraph_node44" class="node">
<title>program~simplem</title>
<g id="a_proc~~lowercase~~CalledByGraph_node44"><a xlink:href=".././program/simplem.html" xlink:title="SIMPLEM">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="101.5,-1158 41.5,-1158 41.5,-1134 101.5,-1134 101.5,-1158"/>
<text text-anchor="middle" x="71.5" y="-1143.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">SIMPLEM</text>
</a>
</g>
</g>
<!-- program~simplem&#45;&gt;proc~initialisenavierstokessolver -->
<g id="proc~~lowercase~~CalledByGraph_edge39" class="edge">
<title>program~simplem&#45;&gt;proc~initialisenavierstokessolver</title>
<path fill="none" stroke="#000000" d="M101.6594,-1150.8245C115.0809,-1153.9523 130.6143,-1158.9925 143,-1167 163.6463,-1180.3482 158.1047,-1196.0451 179,-1209 181.8424,-1210.7623 184.8263,-1212.377 187.9049,-1213.8564"/>
<polygon fill="#000000" stroke="#000000" points="186.8067,-1217.1932 197.3778,-1217.9015 189.5557,-1210.7556 186.8067,-1217.1932"/>
</g>
<!-- proc~spalartallmarasmodel -->
<g id="proc~~lowercase~~CalledByGraph_node45" class="node">
<title>proc~spalartallmarasmodel</title>
<g id="a_proc~~lowercase~~CalledByGraph_node45"><a xlink:href=".././proc/spalartallmarasmodel.html" xlink:title="spalartAllmarasModel">
<polygon fill="#d9534f" stroke="#d9534f" points="129,-1284 14,-1284 14,-1260 129,-1260 129,-1284"/>
<text text-anchor="middle" x="71.5" y="-1269.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">spalartAllmarasModel</text>
</a>
</g>
</g>
<!-- proc~spalartallmarasmodel&#45;&gt;proc~bound -->
<g id="proc~~lowercase~~CalledByGraph_edge38" class="edge">
<title>proc~spalartallmarasmodel&#45;&gt;proc~bound</title>
<path fill="none" stroke="#000000" d="M129.1733,-1272C160.1098,-1272 197.3447,-1272 224.5094,-1272"/>
<polygon fill="#000000" stroke="#000000" points="224.7567,-1275.5001 234.7566,-1272 224.7566,-1268.5001 224.7567,-1275.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>